# CENTRI UNIFICATI DI PRENOTAZIONE #
####################################

var x1 binary; #xi = 1 se apro il cup in i, 0 altrimenti
var x2 binary;
var x3 binary;
var x4 binary;
var x5 binary;
var x6 binary;

# minimizza il numero di cup aperti
minimize z: x1 + x2 + x3 + x4 + x5 + x6;

#vincoli per la copertura del territorio
s.t. q1: x1+x2 		>= 1;
s.t. q3: x3+x4 		>= 1;
s.t. q5: x4+x5+x6 	>= 1;
s.t. q6: x2+x5+x6 	>= 1;

#vincolo logico: i cup in 2 e 4 non possono essere contemporaneamente aperti
s.t. p1: x2+x4	<= 1;

#vincolo logico: se apro il cup in 2, devo necessariamente aprire alche il cup in 1
s.t. p2: x1 >= x2;


